%define major 2
%define libname %mklibname p11_ %major
%define develname %mklibname p11 -d

Summary:	Small library on top of PKCS#11
Name:		libp11
Version:	0.2.8
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/OpenSC/libp11
Source:		http://www.opensc-project.org/files/libp11/%{name}-%{version}.tar.gz

Buildrequires:	doxygen
Buildrequires:	pkgconfig(openssl)
Buildrequires:	libltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.


%package -n %libname
Summary: Library files for libp11
Group: System/Libraries
Obsoletes: libp11_%{major} < %version

%description -n %libname
This package contains library files for libp11.


%package -n %develname
Summary: Development files for libp11
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%release

%description -n %develname
This package contains files needed for development with libp11.


%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --disable-static --enable-api-doc
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Use %{buildroot}%{_docdir}/%develname to install documentation in a standard location
mkdir %{buildroot}%{_docdir}/%develname
mv %{buildroot}%{_datadir}/doc/%{name}/api %{buildroot}%{_docdir}/%{develname}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

# Remove libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files -n %libname
%doc NEWS
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc examples 
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.8-3.mga4
+ Revision: 507308
- Mageia 4 Mass Rebuild

  + sander85 <sander85>
    - Update url

* Sat Jan 12 2013 umeabot <umeabot> 0.2.8-2.mga3
+ Revision: 357942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 sander85 <sander85> 0.2.8-1.mga2
+ Revision: 128034
- new version: 0.2.8

* Sat Apr 30 2011 sander85 <sander85> 0.2.7-3.mga1
+ Revision: 93647
- bump release

* Sat Apr 23 2011 sander85 <sander85> 0.2.7-1.mga1
+ Revision: 89906
- clean spec
- imported package libp11


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-3mdv2011.0
+ Revision: 609769
- rebuild

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.2.7-2mdv2010.1
+ Revision: 536665
- rebuild

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.7-1mdv2010.1
+ Revision: 482737
- Update to new version 0.2.7 (new major)

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.2.4-3mdv2010.0
+ Revision: 438731
- rebuild

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 259231
- obsolete old libname
- correct libname

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 259229
- New version 0.2.4
- fix libname and devel package name
- Rename to libp11

* Sun Jul 27 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-3mdv2009.0
+ Revision: 250390
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Andreas Hasenack <andreas@mandriva.com> 0.2.3-1mdv2008.1
+ Revision: 106181
- updated to version 0.2.3


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 77004
- added missing buildrequires
- updated to versioon 0.2.2
- Import libp11_1

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.2.1-1mdk
- updated to version 0.2.1
- added buildrequires for libopenssl-devel

* Wed Nov 23 2005 Andreas Hasenack <andreas@conectiva.com.br> 0.2.0-1mdk
- packaged for Mandriva

